$(function(){
	var equalBlocks = function(block) {
		/* http://css-tricks.com/equal-height-blocks-in-rows/ */
		var	currentTallest = 0,
			currentRowStart = 0,
			rowDivs = new Array(),
			$el,
			topPosition = 0;
		
		block.each(function() {
			$el = $(this);
			topPosition = $el.parent().position().top;
			if (currentRowStart != topPosition) {
				for (currentDiv = 0; currentDiv < rowDivs.length; currentDiv++) {
					rowDivs[currentDiv].css('min-height', currentTallest);
				}
				rowDivs.length = 0;
				currentRowStart = topPosition;
				currentTallest = $el.height();
				rowDivs.push($el);
			} else {
				rowDivs.push($el);
				currentTallest = (currentTallest < $el.height()) ? ($el.height()) : (currentTallest);
			}
			for (currentDiv = 0; currentDiv < rowDivs.length; currentDiv++) {
				rowDivs[currentDiv].css('min-height', currentTallest);
			}
		});
	}
	equalBlocks($('#content .info-block')); //выравниваем высоту блоков
	
	$('#news-filter .nf-change').on('click', function(){
		$(this).parent().find('input[type="text"]').focus();
	});
	$('#news-filter input[type="text"]').on('focus', function(){
		var $parent = $(this).parent();
		$parent.find('.nf-change').hide();
		$parent.find('.nf-submit').show();
	});
	$('#news-filter input[type="text"]').on('blur', function(){
		var $parent = $(this).parent();
		$parent.find('.nf-submit').hide();
		$parent.find('.nf-change').show();
	});
});